# The PIL.ImageFile Module

_ParserFile(data) (class) [#]

  (Internal) Support class for the Parser file.

  For more information about this class, see The _ParserFile Class.

_safe_read(fp, size) [#]
  fp
    File handle. Must implement a read method.
  size
  Returns:
    A string containing up to size bytes of data.
_save(im, fp, tile) [#]
  im
  fp
  tile
ImageFile(fp=None, filename=None) (class) [#]

  Base class for image file handlers.

  For more information about this class, see The ImageFile Class.

Parser (class) [#]

  Incremental image parser.

  For more information about this class, see The Parser Class.

StubImageFile (class) [#]

  Base class for stub image loaders.

  For more information about this class, see The StubImageFile Class.

## The _ParserFile Class

_ParserFile(data) (class) [#]

  (Internal) Support class for the Parser file.

## The ImageFile Class

ImageFile(fp=None, filename=None) (class) [#]

## The Parser Class

Parser (class) [#]
close() [#]
  Returns:
  Raises IOError:
feed(data) [#]
  data
  Raises IOError:
reset() [#]

## The StubImageFile Class

StubImageFile (class) [#]

  Base class for stub image loaders.

  A stub loader is an image loader that can identify files of a certain format, but relies on external code to load the file.

_load() [#]